<template>
    <div class="choose-restore-method">
        <div class="message message-info">
            <div class="message message-icon">
                <SVGIcon xlink="success-info" :fill="$theme.colors.blue"></SVGIcon>
            </div>
            <div class="message-text">
                Выберите, куда Вы хотите получить данные для восстановления доступа
            </div>
        </div>
        <div class="flex-buttons">
            <button @click="restoreBySms"
                    class="button red"
                    :dissabled="$interface.buttonLoading"
            >SMS
            </button>
            <button @click="restoreByEmail"
                    class="button red"
                    :disabled="$interface.buttonLoading"
            >E-mail</button>
        </div>

        <loader ref="loader"
                v-bind="{
                      name: 'restoreLoader',
                      isShow: $interface.buttonLoading,
                      waitingTitle: 'Отправка сообщения',
                      caption: '',
                  }"
                style="z-index: 501"
        />
    </div>
</template>

<script>
	import loader from '@/components/Loader';

	export default {
		name: 'restoreMethodDoesntChoosed',
		components: {
			loader,
		},

        methods: {
			restoreBySms () {
				this.BUTTON_LOADING(true);
				this.$emit('methodIsChoosen', {
					restoreMethod: 'sms'
				});
            },

            restoreByEmail () {
				this.BUTTON_LOADING(true);
				this.$emit('methodIsChoosen', {
					restoreMethod: 'email'
				});
            }
        }
	};
</script>

<style scoped lang="scss">
    .choose-restore-method {
        position: relative;
        .flex-buttons {
            display: flex;
            justify-content: space-around;

        }
    }
</style>
